man(1)

NAME
/ox - the Profanity /ox command.

DESCRIPTION
OpenPGP (OX) commands to manage keys, and perform OpenPGP encryption during chat sessions. Your OpenPGP key needs a user-id with your JID URI (xmpp:local@domain.tld). A key can be generated with "gpg --quick-gen-key xmpp:local@domain.tld future-default default 3y". See man profanity-ox-setup for details on how to set up OX the first time.

SYNOPSIS
/ox keys

/ox contacts

/ox start [<contact>]

/ox end

/ox log on|off|redact

/ox char <char>

/ox announce <file>

/ox discover <jid>

/ox request <jid> <keyid>

ARGUMENTS

keys
    List all keys known to the system.

contacts
    Show contacts with assigned public keys.

start [<contact>]
    Start PGP encrypted chat, current contact will be used if not specified.

end
    End PGP encrypted chat with the current recipient.

log on|off
    Enable or disable plaintext logging of PGP encrypted messages.

log redact
    Log PGP encrypted messages, but replace the contents with [redacted].

char <char>
    Set the character to be displayed next to PGP encrypted messages.

announce <file>
    Announce a public key by pushing it on the XMPP Server

discover <jid>
    Discover public keys of a jid. The OpenPGP Key IDs will be displayed

request <jid> <keyid>
    Request public key. See /ox discover to to get available key IDs.

EXAMPLES
/ox log off

/ox start odin@valhalla.edda

/ox end

/ox char X